var AJAX = (function() {
  function get(url) {
    var token = localStorage.getItem('token');
    if(!token){
      goToAuth();
      return new Promise((resolve, reject) => {
          reject(new Error("НЕ авторизован"));
      });
    }
    return fetch(apiUrl + url,
    {
        method: "get",
        headers: {
           'Content-Type': 'application/x-www-form-urlencoded',
           'x-access-token': token
        }
    });
  }

  function post(url, data) {
    var token = localStorage.getItem('token');
    if(!token){
      goToAuth();
      return new Promise((resolve, reject) => {
          reject(new Error("НЕ авторизован"));
      });
    }
    return fetch(apiUrl + url,
    {
        method: "post",
        headers: {
           'Content-Type': 'application/x-www-form-urlencoded',
           'x-access-token': token
        },
        body: getData(data)
    });
  }

  function deleteApi(url, id) {
    var token = localStorage.getItem('token');
    if(!token){
      goToAuth();
      return new Promise((resolve, reject) => {
          reject(new Error("НЕ авторизован"));
      });
    }
    return fetch(apiUrl + url + '/' + id,
    {
        method: "delete",
        headers: {
           'Content-Type': 'application/x-www-form-urlencoded',
           'x-access-token': token
        }
    });
  }

  function put(url, data) {
    var token = localStorage.getItem('token');
    if(!token){
      goToAuth();
      return new Promise((resolve, reject) => {
          reject(new Error("НЕ авторизован"));
      });
    }
    return fetch(apiUrl + url,
    {
        method: "put",
        headers: {
           'Content-Type': 'application/x-www-form-urlencoded',
           'x-access-token': token
        },
        body: getData(data)
    });
  }

  return {
    get: get,
    post: post,
    delete: deleteApi,
    put: put
  }

})();
